| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::request_queue::completed_request Struct Reference

A completed request. Contains both the request and the response. More...

`#include <queues.h>`

Collaboration diagram for dpp::request_queue::completed_request:
[legend]

## Public Attributes

std::unique_ptr< http_request > | request
| Request sent.
std::unique_ptr< http_request_completion_t > | response
| Response to the request.

## Detailed Description

A completed request. Contains both the request and the response.

## Member Data Documentation

## ◆ request

std::unique_ptr<http_request> dpp::request_queue::completed_request::request

Request sent.

## ◆ response

std::unique_ptr<http_request_completion_t> dpp::request_queue::completed_request::response

Response to the request.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0